<?php
/**
 * @package    CAdvancedSlideshow
 * @author     Yves Hoppe <yves@compojoom.com>
 * @date       20.09.13
 *
 * @copyright  Copyright (C) 2008 - 2013 compojoom.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controller');

$input = JFactory::getApplication()->input;

JLoader::register('CAdvancedSlideshowHelperBasic', JPATH_COMPONENT_ADMINISTRATOR . '/helpers/basic.php');

JTable::addIncludePath(JPATH_COMPONENT_ADMINISTRATOR . '/tables');

// Toolbar
require_once JPATH_COMPONENT_ADMINISTRATOR . "/toolbar.cadvancedslideshow.php";

// Load Compojoom library
require_once JPATH_LIBRARIES . '/compojoom/include.php';

// Load language
CompojoomLanguage::load('com_matukio', JPATH_SITE);
CompojoomLanguage::load('com_matukio', JPATH_ADMINISTRATOR);

if ($input->get('view', '') == 'liveupdate')
{
	require_once JPATH_COMPONENT_ADMINISTRATOR . '/liveupdate/liveupdate.php';
	JToolBarHelper::preferences('com_cadvancedslideshow');
	LiveUpdate::handleRequest();

	return;
}

if ($input->get('view', '') == 'controlcenter')
{
	require_once JPATH_COMPONENT_ADMINISTRATOR . '/controlcenter/controlcenter.php';
	JToolBarHelper::preferences('com_cadvancedslideshow');
	CompojoomControlCenter::handleRequest();

	return;
}

if ($input->get('view', '') == 'information')
{
	require_once JPATH_COMPONENT_ADMINISTRATOR . '/controlcenter/controlcenter.php';
	JToolBarHelper::preferences('com_cadvancedslideshow');
	CompojoomControlCenter::handleRequest('information');

	return;
}

$controller = JControllerLegacy::getInstance('cadvancedslideshow');
$controller->execute($input->get('task'));
$controller->redirect();

return;
